Bug 342581 - Picture Transfer Crash Smartphone to Laptop
Summary: Picture Transfer Crash Smartphone to Laptop
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: bluetooth-daemon (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2015-01-07 14:41 UTC by rene
Modified: 2015-01-12 14:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rene 2015-01-07 14:41:05 UTC
Application: kded4 (4.14.3)
KDE Platform Version: 4.14.3
Qt Version: 4.8.6
Operating System: Linux 3.17.7-200.fc20.i686+PAE i686
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:
Picture Transfer per Bluetooth from Handy Firefox OS to Laptop Acer Aspire 32Bit Fedora 20

-- Backtrace:
Application: KDE-Dienst (kded4), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb662b7c0 (LWP 1504))]

Thread 6 (Thread 0xb52c2b40 (LWP 1508)):
#0  0x43df8cba in g_mutex_get_impl (mutex=0xb49004e0) at gthread-posix.c:124
#1  0x43df8fe9 in g_mutex_lock (mutex=mutex@entry=0xb49004e0) at gthread-posix.c:213
#2  0x43db2923 in g_main_context_release (context=context@entry=0xb49004e0) at gmain.c:3161
#3  0x43db3838 in g_main_context_iterate (context=context@entry=0xb49004e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3715
#4  0x43db39e9 in g_main_context_iteration (context=0xb49004e0, may_block=1) at gmain.c:3774
#5  0xb68b083f in QEventDispatcherGlib::processEvents (this=0xb4900468, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#6  0xb687d530 in QEventLoop::processEvents (this=this@entry=0xb52c2214, flags=...) at kernel/qeventloop.cpp:149
#7  0xb687d8c1 in QEventLoop::exec (this=this@entry=0xb52c2214, flags=...) at kernel/qeventloop.cpp:204
#8  0xb675eb75 in QThread::exec (this=this@entry=0x99fcc98) at thread/qthread.cpp:538
#9  0xb675ecdc in QThread::run (this=0x99fcc98) at thread/qthread.cpp:605
#10 0xb676167b in QThreadPrivate::start (arg=0x99fcc98) at thread/qthread_unix.cpp:349
#11 0x43977d4c in start_thread (arg=0xb52c2b40) at pthread_create.c:309
#12 0x438a182e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0xb19e6b40 (LWP 1517)):
#0  0x4397abbd in __GI___pthread_mutex_unlock (mutex=0xb1000558) at pthread_mutex_unlock.c:311
#1  0x43df9031 in g_mutex_unlock (mutex=mutex@entry=0xb10004e0) at gthread-posix.c:232
#2  0x43db2daa in g_main_context_prepare (context=<optimized out>, context@entry=0xb10004e0, priority=priority@entry=0xb19e60d4) at gmain.c:3338
#3  0x43db3787 in g_main_context_iterate (context=context@entry=0xb10004e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3693
#4  0x43db39e9 in g_main_context_iteration (context=0xb10004e0, may_block=1) at gmain.c:3774
#5  0xb68b083f in QEventDispatcherGlib::processEvents (this=0xb1000468, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#6  0xb687d530 in QEventLoop::processEvents (this=this@entry=0xb19e61e4, flags=...) at kernel/qeventloop.cpp:149
#7  0xb687d8c1 in QEventLoop::exec (this=this@entry=0xb19e61e4, flags=...) at kernel/qeventloop.cpp:204
#8  0xb675eb75 in QThread::exec (this=this@entry=0x9a65650) at thread/qthread.cpp:538
#9  0xb685c3d1 in QInotifyFileSystemWatcherEngine::run (this=0x9a65650) at io/qfilesystemwatcher_inotify.cpp:265
#10 0xb676167b in QThreadPrivate::start (arg=0x9a65650) at thread/qthread_unix.cpp:349
#11 0x43977d4c in start_thread (arg=0xb19e6b40) at pthread_create.c:309
#12 0x438a182e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0xaf3f5b40 (LWP 1582)):
#0  0x43df8cab in g_mutex_get_impl (mutex=0x9b495c0) at gthread-posix.c:123
#1  0x43df8fe9 in g_mutex_lock (mutex=mutex@entry=0x9b495c0) at gthread-posix.c:213
#2  0x43db3840 in g_main_context_iterate (context=0x9b495c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3717
#3  0x43db3dc3 in g_main_loop_run (loop=0x9b49588) at gmain.c:3907
#4  0x42df0acb in gdbus_shared_thread_func (user_data=0x9b495a8) at gdbusprivate.c:278
#5  0x43ddaebb in g_thread_proxy (data=0x9b21120) at gthread.c:798
#6  0x43977d4c in start_thread (arg=0xaf3f5b40) at pthread_create.c:309
#7  0x438a182e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0xaebf4b40 (LWP 1583)):
#0  0xb776bcbc in __kernel_vsyscall ()
#1  0x438afc82 in __GI___clock_gettime (clock_id=1, tp=0xaebf3f94) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb67c034d in do_gettime (frac=0xaebf3f88, sec=0xaebf3f80) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb68b2313 in updateCurrentTime (this=0xb4903ebc) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xb4903ebc, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb68b06db in timerSourcePrepareHelper (src=<optimized out>, timeout=0xaebf4088) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb68b078d in timerSourcePrepare (source=0xb4903e88, timeout=timeout@entry=0xaebf4088) at kernel/qeventdispatcher_glib.cpp:176
#8  0x43db2dbf in g_main_context_prepare (context=<optimized out>, context@entry=0xb4902230, priority=priority@entry=0xaebf40e4) at gmain.c:3340
#9  0x43db3787 in g_main_context_iterate (context=context@entry=0xb4902230, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3693
#10 0x43db39e9 in g_main_context_iteration (context=0xb4902230, may_block=1) at gmain.c:3774
#11 0xb68b083f in QEventDispatcherGlib::processEvents (this=0xb49021b8, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#12 0xb687d530 in QEventLoop::processEvents (this=this@entry=0xaebf41f4, flags=...) at kernel/qeventloop.cpp:149
#13 0xb687d8c1 in QEventLoop::exec (this=this@entry=0xaebf41f4, flags=...) at kernel/qeventloop.cpp:204
#14 0xb675eb75 in QThread::exec (this=0x9a4a2e8) at thread/qthread.cpp:538
#15 0xb1abffe5 in KCupsConnection::run() () from /lib/libkcupslib.so
#16 0xb676167b in QThreadPrivate::start (arg=0x9a4a2e8) at thread/qthread_unix.cpp:349
#17 0x43977d4c in start_thread (arg=0xaebf4b40) at pthread_create.c:309
#18 0x438a182e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0xae3f3b40 (LWP 1584)):
#0  0x4397abb0 in __pthread_mutex_unlock_usercnt (decr=1, mutex=0x9af13e0) at pthread_mutex_unlock.c:57
#1  __GI___pthread_mutex_unlock (mutex=0x9af13e0) at pthread_mutex_unlock.c:310
#2  0x43df9031 in g_mutex_unlock (mutex=mutex@entry=0x9b50300) at gthread-posix.c:232
#3  0x43db3262 in g_main_context_check (context=context@entry=0x9b50300, max_priority=2147483647, fds=fds@entry=0x9a45b98, n_fds=n_fds@entry=1) at gmain.c:3555
#4  0x43db3822 in g_main_context_iterate (context=context@entry=0x9b50300, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3710
#5  0x43db39e9 in g_main_context_iteration (context=0x9b50300, may_block=1) at gmain.c:3774
#6  0xb68b083f in QEventDispatcherGlib::processEvents (this=0x9aca120, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#7  0xb687d530 in QEventLoop::processEvents (this=this@entry=0xae3f3214, flags=...) at kernel/qeventloop.cpp:149
#8  0xb687d8c1 in QEventLoop::exec (this=this@entry=0xae3f3214, flags=...) at kernel/qeventloop.cpp:204
#9  0xb675eb75 in QThread::exec (this=this@entry=0x9a5d2c0) at thread/qthread.cpp:538
#10 0xb675ecdc in QThread::run (this=0x9a5d2c0) at thread/qthread.cpp:605
#11 0xb676167b in QThreadPrivate::start (arg=0x9a5d2c0) at thread/qthread_unix.cpp:349
#12 0x43977d4c in start_thread (arg=0xae3f3b40) at pthread_create.c:309
#13 0x438a182e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xb662b7c0 (LWP 1504)):
[KCrash Handler]
#7  BlueDevil::Device::isTrusted (this=0x0) at /usr/src/debug/libbluedevil-2.0-rc1/bluedevil/bluedevildevice.cpp:245
#8  0xb1b05b4b in ReceiveFileJob::init (this=this@entry=0x9c0f898) at /usr/src/debug/bluedevil-2.0.0/src/daemon/kded/filereceiver/receivefilejob.cpp:101
#9  0xb1af8f44 in ReceiveFileJob::qt_static_metacall (_o=0x9c0f898, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x9a2c028) at /usr/src/debug/bluedevil-2.0.0/i686-redhat-linux-gnu/src/daemon/kded/moc_receivefilejob.cpp:58
#10 0xb6890fcb in QMetaCallEvent::placeMetaCall (this=0x9ba9ed8, object=0x9c0f898) at kernel/qobject.cpp:524
#11 0xb689930b in QObject::event (this=0x9c0f898, e=0x9ba9ed8) at kernel/qobject.cpp:1222
#12 0xb6bfd424 in QApplicationPrivate::notify_helper (this=0x98c2a40, receiver=0x9c0f898, e=0x9ba9ed8) at kernel/qapplication.cpp:4565
#13 0xb6c04359 in QApplication::notify (this=0xbfefdc48, receiver=0x9c0f898, e=e@entry=0x9ba9ed8) at kernel/qapplication.cpp:4351
#14 0x41f609b0 in KApplication::notify (this=0xbfefdc48, receiver=0x9c0f898, event=0x9ba9ed8) at /usr/src/debug/kdelibs-4.14.3/kdeui/kernel/kapplication.cpp:311
#15 0xb687ec96 in QCoreApplication::notifyInternal (this=0xbfefdc48, receiver=receiver@entry=0x9c0f898, event=event@entry=0x9ba9ed8) at kernel/qcoreapplication.cpp:953
#16 0xb68821da in sendEvent (event=0x9ba9ed8, receiver=0x9c0f898) at kernel/qcoreapplication.h:231
#17 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x989c0c8) at kernel/qcoreapplication.cpp:1577
#18 0xb68826dd in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#19 0xb68b117a in sendPostedEvents () at kernel/qcoreapplication.h:236
#20 postEventSourceDispatch (s=s@entry=0x98c8368) at kernel/qeventdispatcher_glib.cpp:300
#21 0x43db3556 in g_main_dispatch (context=0x98c2c78) at gmain.c:3066
#22 g_main_context_dispatch (context=context@entry=0x98c2c78) at gmain.c:3642
#23 0x43db3920 in g_main_context_iterate (context=context@entry=0x98c2c78, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
#24 0x43db39e9 in g_main_context_iteration (context=0x98c2c78, may_block=1) at gmain.c:3774
#25 0xb68b0814 in QEventDispatcherGlib::processEvents (this=this@entry=0x989ce60, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#26 0xb6cb3afc in QGuiEventDispatcherGlib::processEvents (this=0x989ce60, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#27 0xb687d530 in QEventLoop::processEvents (this=this@entry=0xbfefdb54, flags=...) at kernel/qeventloop.cpp:149
#28 0xb687d8c1 in QEventLoop::exec (this=this@entry=0xbfefdb54, flags=...) at kernel/qeventloop.cpp:204
#29 0xb68836eb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#30 0xb6bfb745 in QApplication::exec () at kernel/qapplication.cpp:3823
#31 0x429693af in kdemain (argc=1, argv=0xbfefdd34) at /usr/src/debug/kdelibs-4.14.3/kded/kded.cpp:940
#32 0x0804866c in main (argc=1, argv=0xbfefdd34) at /usr/src/debug/kdelibs-4.14.3/i686-redhat-linux-gnu/kded/kded4_dummy.cpp:3

Reported using DrKonqi
Comment 1 David Rosca 2015-01-12 14:32:06 UTC
Git commit a967936a34b2f17e002f9d69dae3e74b0ef20799 by David Rosca.
Committed on 12/01/2015 at 13:19.
Pushed by drosca into branch 'master'.

filereceiver: Fix crash when sending device is null

M  +15   -4    src/daemon/kded/filereceiver/receivefilejob.cpp

http://commits.kde.org/bluedevil/a967936a34b2f17e002f9d69dae3e74b0ef20799